Bug 1729056 - Review Request: blkinfo - blkinfo is a python library to enumerate and filter all block devices available in a system.
Summary: Review Request: blkinfo - blkinfo is a python library to enumerate and filter...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 09:58 UTC by Gennadii Altukhov
Modified: 2019-09-10 21:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Gennadii Altukhov 2019-07-11 09:58:06 UTC
Spec URL: https://github.com/grinrag/blkinfo/blob/master/rpm/blkinfo.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/galt/blkinfo/fedora-rawhide-x86_64/00944102-python-blkinfo/python-blkinfo-0.1.2-1.fc31.src.rpm
Description:  blkinfo is a python library to enumerate and filter all block devices available in a system. (https://github.com/grinrag/blkinfo)
Fedora Account System Username: galt

Comment 1 Antonio T. (sagitter) 2019-07-11 10:44:10 UTC
Hi! 

I don't see the %changelog section.

Python2 version is really needed?

Comment 2 Gennadii Altukhov 2019-07-11 12:21:53 UTC
Hi, thank you for the review.

Added %changelog section manually and also initialized to use 'tito' for future versions.

Yes, I need Python2 version as well, I'm building this package for EPEL7 (you can see it in COPR).

Comment 3 Fabio Valentini 2019-07-11 13:04:51 UTC
Please note: if you're building this package for fedora 30/31 as well, you cannot include a python 2 version without fesco exception:

"Software using python2 MUST NOT be newly packaged into Fedora 30 or newer without FESCo exception."

https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_python_version_support

You can of course re-introduce a python2 package specifically for epel-7 branch, but *not* in fedora.

Comment 4 Robert-André Mauchin 2019-07-13 17:58:09 UTC
Use bcond_without/bcond_with for you conditions.

Comment 5 Gennadii Altukhov 2019-07-15 10:10:03 UTC
Hi,

I've just move python2 build to %else condition.

Now I build python2 for EPEL7 only and python3 for Fedora.

Updated spec file: https://github.com/grinrag/blkinfo/blob/master/rpm/blkinfo.spec

Comment 6 Robert-André Mauchin 2019-07-15 17:22:39 UTC
 - SPEC file should be named python-blkinfo.spec

 - Your summary is
    - too long (max 80 characters)
    - Should be capitalized
    - Should not repeat the name of the package
    - should not end with a dot

python3-blkinfo.noarch: W: summary-not-capitalized C blkinfo is a python library to list information about all available or the specified block devices.
python3-blkinfo.noarch: W: summary-ended-with-dot C blkinfo is a python library to list information about all available or the specified block devices.
python3-blkinfo.noarch: E: summary-too-long C blkinfo is a python library to list information about all available or the specified block devices.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 13 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/blkinfo/review-
     python-blkinfo/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-blkinfo-0.1.2-1.fc31.noarch.rpm
          python-blkinfo-0.1.2-1.fc31.src.rpm
python3-blkinfo.noarch: W: summary-not-capitalized C blkinfo is a python library to list information about all available or the specified block devices.
python3-blkinfo.noarch: W: summary-ended-with-dot C blkinfo is a python library to list information about all available or the specified block devices.
python3-blkinfo.noarch: E: summary-too-long C blkinfo is a python library to list information about all available or the specified block devices.
python3-blkinfo.noarch: W: spelling-error %description -l en_US lsblk 
python3-blkinfo.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python3-blkinfo.noarch: W: spelling-error %description -l en_US proc -> crop, prov, pro
python3-blkinfo.noarch: W: no-documentation
python-blkinfo.src: W: summary-not-capitalized C blkinfo is a python library to list information about all available or the specified block devices.
python-blkinfo.src: W: summary-ended-with-dot C blkinfo is a python library to list information about all available or the specified block devices.
python-blkinfo.src: E: summary-too-long C blkinfo is a python library to list information about all available or the specified block devices.
python-blkinfo.src: W: spelling-error %description -l en_US lsblk 
python-blkinfo.src: W: spelling-error %description -l en_US sys -> says, sis, syn
python-blkinfo.src: W: spelling-error %description -l en_US proc -> crop, prov, pro
python-blkinfo.src: W: no-%install-section
2 packages and 0 specfiles checked; 2 errors, 12 warnings.

Comment 7 Gennadii Altukhov 2019-07-16 14:04:50 UTC
Thank you for the detailed output.
I fixed problems with the summary.

"python3-blkinfo.noarch: W: no-documentation" - means missing man-page? Is it necessary right now?

Comment 8 Robert-André Mauchin 2019-07-25 16:36:18 UTC
No, package is approved.

Comment 9 Gennadii Altukhov 2019-09-04 10:54:57 UTC
Hi,

Now I can expect to see the rpm package spec here https://src.fedoraproject.org/projects/rpms/, right?

Comment 10 Robert-André Mauchin 2019-09-10 21:59:34 UTC
(In reply to Gennadii Altukhov from comment #9)
> Hi,
> 
> Now I can expect to see the rpm package spec here
> https://src.fedoraproject.org/projects/rpms/, right?

No you need to request it.

You're here: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Follow the steps after that.


Note You need to log in before you can comment on or make changes to this bug.